Get a list of pull requests
### Expanding the pull request collection response
LaunchDarkly supports expanding the pull request collection response to include additional fields.
To expand the response, append the `expand` query parameter and include the following:
* `deployments` includes details on all of the deployments associated with each pull request
* `flagReferences` includes details on all of the references to flags in each pull request
* `leadTime` includes details about the lead time of the pull request for each stage
For example, use `?expand=deployments` to include the `deployments` field in the response. By default, this field is **not** included in the response.
Query parameters
projectKeystringRequiredformat: "string"
The project key
environmentKeystringOptionalformat: "string"
Required if you are using the sort parameter’s leadTime option to sort pull requests.
applicationKeystringOptionalformat: "string"
Filter the results to pull requests deployed to a comma separated list of applications
statusstringOptionalformat: "string"
Filter results to pull requests with the given status. Options: open, merged, closed, deployed.
querystringOptionalformat: "string"
Filter list of pull requests by title or author
limitlongOptional
The number of pull requests to return. Default is 20. Maximum allowed is 100.
expandstringOptionalformat: "string"
Expand properties in response. Options: deployments, flagReferences, leadTime.
sortstringOptionalformat: "string"
Sort results. Requires the environmentKey to be set. Options: leadTime (asc) and -leadTime (desc). When query option is excluded, default sort is by created or merged date.
fromdatetimeOptional
Unix timestamp in milliseconds. Default value is 7 days ago.
todatetimeOptional
Unix timestamp in milliseconds. Default value is now.
afterstringOptionalformat: "string"
Identifier used for pagination
beforestringOptionalformat: "string"
Identifier used for pagination
Response
Pull request collection response
totalCountinteger
The total number of pull requests
itemslist of objects
A list of pull requests
_linksmap from strings to objectsOptional
The location and content type of related resources